This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# List subscriptions by paypoint

GET https://api-sandbox.payabli.com/api/Query/subscriptions/{entry}

Returns a list of subscriptions for a single paypoint. Use filters to limit results. Include the `exportFormat` query parameter to return the results as a file instead of a JSON response.

Reference: https://docs.payabli.com/developers/api-reference/subscription/get-list-of-subscriptions-for-an-entrypoint

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi
  version: 1.0.0
paths:
  /Query/subscriptions/{entry}:
    get:
      operationId: list-subscriptions
      summary: Get list of subscriptions for a paypoint
      description: >-
        Returns a list of subscriptions for a single paypoint. Use filters to
        limit results. Include the `exportFormat` query parameter to return the
        results as a file instead of a JSON response.
      tags:
        - subpackage_query
      parameters:
        - name: entry
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/type_:Entry'
        - name: exportFormat
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type_:ExportFormat'
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            Max number of records to return for the query. Use `0` or negative
            value to return all records.
          required: false
          schema:
            type: integer
            default: 20
        - name: parameters
          in: query
          description: >-

            Collection of field names, conditions, and values used to filter the
            query. 

            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
            </Info>

            See [Filters and Conditions
            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)
            for more information.
                  
            **List of field names accepted:**


            - `startDate` (gt, ge, lt, le, eq, ne)

            - `endDate` (gt, ge, lt, le, eq, ne)

            - `nextDate` (gt, ge, lt, le, eq, ne)

            - `frequency` (in, nin, ne, eq)

            - `method` (in, nin, eq, ne)

            - `totalAmount` (gt, ge, lt, le, eq, ne)

            - `netAmount` (gt, ge, lt, le, eq, ne)

            - `feeAmount` (gt, ge, lt, le, eq, ne)

            - `status` (in, nin, eq, ne)

            - `untilcancelled` (eq, ne)

            - `payaccountLastfour` (nct, ct)

            - `payaccountType` (ne, eq, in, nin)

            - `payaccountCurrency` (ne, eq, in, nin)

            - `customerFirstname` (ct, nct, eq, ne)

            - `customerLastname` (ct, nct, eq, ne)

            - `customerName` (ct, nct)

            - `customerId` (eq, ne)

            - `customerNumber` (ct, nct, eq, ne)

            - `customerCompanyname` (ct, nct, eq, ne)

            - `customerAddress` (ct, nct, eq, ne)

            - `customerCity` (ct, nct, eq, ne)

            - `customerZip` (ct, nct, eq, ne)

            - `customerState` (ct, nct, eq, ne)

            - `customerCountry` (ct, nct, eq, ne)

            - `customerPhone` (ct, nct, eq, ne)

            - `customerEmail` (ct, nct, eq, ne)

            - `customerShippingAddress` (ct, nct, eq, ne)

            - `customerShippingCity` (ct, nct, eq, ne)

            - `customerShippingZip` (ct, nct, eq, ne)

            - `customerShippingState` (ct, nct, eq, ne)

            - `customerShippingCountry` (ct, nct, eq, ne)

            - `orgId` (eq)

            - `paypointId` (ne, eq)

            - `paypointLegal` (ne, eq, ct, nct)

            - `paypointDba` (ne, eq, ct, nct)

            - `orgName` (ne, eq, ct, nct)

            - `externalPaypointId` (ct, nct, ne, eq)

            - `subId` (eq, ne)

            - `orderDescription` (ct, nct)

            - `cycles` (eq, ne, gt, ge, lt, le)

            - `leftcycles` (eq, ne, gt, ge, lt, le)

            - `createdAt` (eq, ne, gt, ge, lt, le)

            - `updatedOn` (eq, ne, gt, ge, lt, le)

            - `invoiceNumber` (ct, nct)

            - `additional-xxx` (ne, eq, ct, nct) where xxx is the additional
            field name  


            **List of comparison operators accepted:**

            - `eq` or empty => equal

            - `gt` => greater than

            - `ge` => greater or equal

            - `lt` => less than

            - `le` => less or equal

            - `ne` => not equal

            - `ct` => contains

            - `nct` => not contains

            - `in` => inside array

            - `nin` => not inside array
          required: false
          schema:
            type: object
            additionalProperties:
              type: string
        - name: sortBy
          in: query
          description: >-
            The field name to use for sorting results. Use `desc(field_name)` to
            sort descending by `field_name`, and use `asc(field_name)` to sort
            ascending by `field_name`.
          required: false
          schema:
            type: string
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:QuerySubscriptionResponse'
        '400':
          description: Bad request/ invalid data
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal API Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Database connection error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:PayabliApiResponse'
servers:
  - url: https://api-sandbox.payabli.com/api
  - url: https://api.payabli.com/api
components:
  schemas:
    type_:Entry:
      type: string
      description: >-
        The entity's entrypoint identifier. [Learn
        more](/developers/api-reference/api-overview#entrypoint-vs-entry)
      title: Entry
    type_:ExportFormat:
      type: string
      enum:
        - csv
        - xlsx
      description: >-
        Export format for file downloads. When specified, returns data as a file
        instead of JSON.
      title: ExportFormat
    type_:CreatedAt:
      type: string
      format: date-time
      description: Timestamp of when record was created, in UTC.
      title: CreatedAt
    type_:BillingZip:
      type: string
      description: Billing address ZIP code.
      title: BillingZip
    type_:Email:
      type: string
      format: email
      description: Email address.
      title: Email
    type_:CustomerNumberNullable:
      type: string
      description: >-
        User-provided unique identifier for the customer. This is typically the
        customer ID from your own system.
      title: CustomerNumberNullable
    type_:Shippingaddress:
      type: string
      description: The shipping address.
      title: Shippingaddress
    type_:Shippingaddressadditional:
      type: string
      description: Additional line for shipping address.
      title: Shippingaddressadditional
    type_:Shippingcity:
      type: string
      description: Shipping city.
      title: Shippingcity
    type_:Shippingstate:
      type: string
      description: Shipping state or province.
      title: Shippingstate
    type_:Shippingzip:
      type: string
      description: >-
        Shipping ZIP code. For Pay In functions, this field supports 5-digit and
        9-digit ZIP codes and alphanumeric Canadian postal codes. For example:
        "37615-1234" or "37615".
      title: Shippingzip
    type_:Shippingcountry:
      type: string
      description: Shipping address country.
      title: Shippingcountry
    type_:CustomerId:
      type: integer
      format: int64
      description: The Payabli-generated unique ID for the customer.
      title: CustomerId
    type_:CustomerStatus:
      type: integer
      description: |-
        Customer Status. 
        Possible values:
        - `-99` Deleted
        - `0` Inactive
        - `1` Active
        - `85` Locked (typically due to multiple failed login attempts)
      title: CustomerStatus
    type_:AdditionalDataMap:
      type: object
      additionalProperties:
        type: string
      description: >-
        Custom dictionary of key:value pairs. You can use this field to store
        any data related to the object or for your system. 


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataMap
    type_:QueryTransactionPayorData:
      type: object
      properties:
        Identifiers:
          type: array
          items:
            description: Any type
          description: Array of field names to be used as identifiers.
        FirstName:
          type: string
          description: Customer/Payor first name.
        LastName:
          type: string
          description: Customer/Payor last name.
        CompanyName:
          type: string
          description: Customer's company name.
        BillingAddress1:
          type: string
          description: Customer's billing address.
        BillingAddress2:
          type: string
          description: Additional line for Customer's billing address.
        BillingCity:
          type: string
          description: Customer's billing city.
        BillingState:
          type: string
          description: >-
            Customer's billing state. Must be 2-letter state code for address in
            US.
        BillingZip:
          $ref: '#/components/schemas/type_:BillingZip'
          description: Customer's billing ZIP code.
        BillingCountry:
          type: string
          description: Customer's billing country.
        BillingPhone:
          type: string
          description: Customer's phone number.
        BillingEmail:
          $ref: '#/components/schemas/type_:Email'
          description: Customer's email address.
        CustomerNumber:
          $ref: '#/components/schemas/type_:CustomerNumberNullable'
        ShippingAddress1:
          $ref: '#/components/schemas/type_:Shippingaddress'
        ShippingAddress2:
          $ref: '#/components/schemas/type_:Shippingaddressadditional'
        ShippingCity:
          $ref: '#/components/schemas/type_:Shippingcity'
        ShippingState:
          $ref: '#/components/schemas/type_:Shippingstate'
        ShippingZip:
          $ref: '#/components/schemas/type_:Shippingzip'
        ShippingCountry:
          $ref: '#/components/schemas/type_:Shippingcountry'
        customerId:
          $ref: '#/components/schemas/type_:CustomerId'
        customerStatus:
          $ref: '#/components/schemas/type_:CustomerStatus'
        AdditionalData:
          $ref: '#/components/schemas/type_:AdditionalDataMap'
      title: QueryTransactionPayorData
    type_:EntrypageId:
      type: integer
      format: int64
      description: >-
        If applicable, the internal reference ID to the payment page capturing
        the payment.
      title: EntrypageId
    type_:ExternalPaypointId:
      type: string
      description: >-
        A custom identifier for the paypoint, if applicable. Like `entrypoint`
        is the Payabli identifier for the merchant, `externalPaypointId` is a
        custom field you can use to include the merchant's ID from your own
        systems.
      title: ExternalPaypointId
    type_:FileContentFtype:
      type: string
      enum:
        - pdf
        - doc
        - docx
        - jpg
        - jpeg
        - png
        - gif
        - txt
      description: The MIME type of the file (if content is provided)
      title: FileContentFtype
    type_:FileContent:
      type: object
      properties:
        fContent:
          type: string
          description: >-
            Content of file, Base64-encoded. Ignored if furl is specified. Max
            upload size is 30 MB.
        filename:
          type: string
          description: The name of the attached file.
        ftype:
          $ref: '#/components/schemas/type_:FileContentFtype'
          description: The MIME type of the file (if content is provided)
        furl:
          type: string
          description: Optional URL provided to show or download the file remotely
      description: Contains details about a file. Max upload size is 30 MB.
      title: FileContent
    type_:Attachments:
      type: array
      items:
        $ref: '#/components/schemas/type_:FileContent'
      description: >-
        Array of `fileContent` objects with attached documents. Max upload size
        is 30 MB.
      title: Attachments
    type_:Discount:
      type: number
      format: double
      description: Discount applied to the invoice.
      title: Discount
    type_:DutyAmount:
      type: number
      format: double
      description: Duty amount.
      title: DutyAmount
    type_:FreightAmount:
      type: number
      format: double
      description: Freight/shipping amount.
      title: FreightAmount
    type_:Frequency:
      type: string
      enum:
        - onetime
        - weekly
        - every2weeks
        - every6months
        - monthly
        - every3months
        - annually
      description: Frequency for operation.
      title: Frequency
    type_:InvoiceAmount:
      type: number
      format: double
      description: Invoice total amount.
      title: InvoiceAmount
    type_:InvoiceNumber:
      type: string
      description: >-
        Custom number identifying the bill or invoice. Must be unique in
        paypoint.
      title: InvoiceNumber
    type_:Invoicestatus:
      type: integer
      description: |-
        Status for invoice.

        The accepted status values are: 

          - 0 draft  
          - 1 active  
          - 2 partially paid  
          - 4 paid/complete  
          - 99 cancelled
      title: Invoicestatus
    type_:InvoiceType:
      type: integer
      description: Type of invoice. Only `0` for one-time invoices is currently supported.
      title: InvoiceType
    type_:ItemCommodityCode:
      type: string
      description: Item or product commodity code. Max length of 250 characters.
      title: ItemCommodityCode
    type_:ItemDescription:
      type: string
      description: Item or product description. Max length of 250 characters.
      title: ItemDescription
    type_:ItemProductCode:
      type: string
      description: Item or product code. Max length of 250 characters.
      title: ItemProductCode
    type_:ItemProductName:
      type: string
      description: Item or product name. Max length of 250 characters.
      title: ItemProductName
    type_:ItemUnitofMeasure:
      type: string
      description: Unit of measurement. Max length of 100 characters.
      title: ItemUnitofMeasure
    type_:BillItem:
      type: object
      properties:
        itemCategories:
          type: array
          items:
            type: string
          description: Array of tags classifying item or product.
        itemCommodityCode:
          $ref: '#/components/schemas/type_:ItemCommodityCode'
        itemCost:
          type: number
          format: double
          description: Item or product price per unit.
        itemDescription:
          $ref: '#/components/schemas/type_:ItemDescription'
        itemMode:
          type: integer
          description: >-
            Internal class of item or product: value '0' is only for invoices ,
            '1' for bills and, '2' common for both.
        itemProductCode:
          $ref: '#/components/schemas/type_:ItemProductCode'
        itemProductName:
          $ref: '#/components/schemas/type_:ItemProductName'
        itemQty:
          type: integer
          description: Quantity of item or product.
        itemTaxAmount:
          type: number
          format: double
          description: Tax amount applied to item or product.
        itemTaxRate:
          type: number
          format: double
          description: Tax rate applied to item or product.
        itemTotalAmount:
          type: number
          format: double
          description: Total amount in item or product.
        itemUnitOfMeasure:
          $ref: '#/components/schemas/type_:ItemUnitofMeasure'
      required:
        - itemCost
      title: BillItem
    type_:BillDataPaymentTerms:
      type: string
      enum:
        - PIA
        - CIA
        - UR
        - NET10
        - NET20
        - NET30
        - NET45
        - NET60
        - NET90
        - EOM
        - MFI
        - 5MFI
        - 10MFI
        - 15MFI
        - 20MFI
        - 2/10NET30
        - UF
        - 10UF
        - 20UF
        - 25UF
        - 50UF
      description: >-
        Payment terms for invoice. If no terms are defined, then response data
        for this field defaults to `NET30`.


        **Available Values:**


        - `PIA`: Payment in advance


        - `CIA`: Cash in advance


        - `UR`: Upon receipt


        - `NET10`: 10 days after invoice date


        - `NET20`: 20 days after invoice date


        - `NET30`: 30 days after invoice date


        - `NET45`: 45 days after invoice date


        - `NET60`: 60 days after invoice date


        - `NET90`: 90 days after invoice date


        - `EOM`: Due end of this month


        - `MFI`: 1st of the month following the invoice date


        - `5MFI`: 5th of the month following the invoice date


        - `10MFI`: 10th of the month following the invoice date


        - `15MFI`: 15th of the month following the invoice date


        - `20MFI`: 20th of the month following the invoice date


        - `2/10NET30`: 2% discount if paid within 10 days, otherwise net 30 days


        - `UF`: Until further notice


        - `10UF`: 10 days until further notice


        - `20UF`: 20 days until further notice


        - `25UF`: 25 days until further notice


        - `50UF`: 50 days until further notice
      title: BillDataPaymentTerms
    type_:PurchaseOrder:
      type: string
      description: Purchase order number.
      title: PurchaseOrder
    type_:ShippingFromZip:
      type: string
      description: Sender shipping ZIP code.
      title: ShippingFromZip
    type_:SummaryCommodityCode:
      type: string
      description: Commodity code.
      title: SummaryCommodityCode
    type_:Tax:
      type: number
      format: double
      description: Tax rate in percent applied to the invoice.
      title: Tax
    type_:TermsConditions:
      type: string
      description: Custom terms and conditions included in the invoice.
      title: TermsConditions
    type_:BillData:
      type: object
      properties:
        AdditionalData:
          $ref: '#/components/schemas/type_:AdditionalDataMap'
        attachments:
          $ref: '#/components/schemas/type_:Attachments'
        company:
          type: string
          description: Company name of the recipient of the invoice.
        discount:
          $ref: '#/components/schemas/type_:Discount'
        dutyAmount:
          $ref: '#/components/schemas/type_:DutyAmount'
        firstName:
          type: string
          description: First name of the recipient of the invoice.
        freightAmount:
          $ref: '#/components/schemas/type_:FreightAmount'
        frequency:
          $ref: '#/components/schemas/type_:Frequency'
          description: Frequency of scheduled invoice.
        invoiceAmount:
          $ref: '#/components/schemas/type_:InvoiceAmount'
        invoiceDate:
          type: string
          format: date
          description: 'Invoice date in any of the accepted formats: YYYY-MM-DD, MM/DD/YYYY.'
        invoiceDueDate:
          type: string
          format: date
          description: >-
            Invoice due date in one of the accepted formats: YYYY-MM-DD,
            MM/DD/YYYY.
        invoiceEndDate:
          type: string
          format: date
          description: >-
            Indicate the date to finish a scheduled invoice cycle
            (`invoiceType`` = 1) in any of the accepted formats: YYYY-MM-DD,
            MM/DD/YYYY.
        invoiceNumber:
          $ref: '#/components/schemas/type_:InvoiceNumber'
          description: Invoice number. Identifies the invoice under a paypoint.
        invoiceStatus:
          $ref: '#/components/schemas/type_:Invoicestatus'
        invoiceType:
          $ref: '#/components/schemas/type_:InvoiceType'
        items:
          type: array
          items:
            $ref: '#/components/schemas/type_:BillItem'
          description: Array of line items included in the invoice.
        lastName:
          type: string
          description: Last name of the recipient of the invoice.
        notes:
          type: string
          description: Notes included in the invoice.
        paymentTerms:
          $ref: '#/components/schemas/type_:BillDataPaymentTerms'
        purchaseOrder:
          $ref: '#/components/schemas/type_:PurchaseOrder'
        shippingAddress1:
          $ref: '#/components/schemas/type_:Shippingaddress'
        shippingAddress2:
          $ref: '#/components/schemas/type_:Shippingaddressadditional'
        shippingCity:
          $ref: '#/components/schemas/type_:Shippingcity'
        shippingCountry:
          $ref: '#/components/schemas/type_:Shippingcountry'
        shippingEmail:
          $ref: '#/components/schemas/type_:Email'
          description: Shipping recipient's contact email address.
        shippingFromZip:
          $ref: '#/components/schemas/type_:ShippingFromZip'
        shippingPhone:
          type: string
          description: Recipient phone number.
        shippingState:
          $ref: '#/components/schemas/type_:Shippingstate'
        shippingZip:
          $ref: '#/components/schemas/type_:Shippingzip'
        summaryCommodityCode:
          $ref: '#/components/schemas/type_:SummaryCommodityCode'
        tax:
          $ref: '#/components/schemas/type_:Tax'
        termsConditions:
          $ref: '#/components/schemas/type_:TermsConditions'
      title: BillData
    type_:LastModified:
      type: string
      format: date-time
      description: Timestamp of when record was last updated, in UTC.
      title: LastModified
    type_:Netamountnullable:
      type: number
      format: double
      description: Net amount.
      title: Netamountnullable
    type_:OrgParentName:
      type: string
      description: The name of the parent organization.
      title: OrgParentName
    type_:Accountexp:
      type: string
      description: Expiration date of card used in transaction.
      title: Accountexp
    type_:AccountId:
      type: string
      description: Custom identifier for payment connector.
      title: AccountId
    type_:Accounttype:
      type: string
      description: Bank account type or card brand.
      title: Accounttype
    type_:Accountzip:
      type: string
      description: ZIP code for card used in transaction.
      title: Accountzip
    type_:BinData:
      type: object
      properties:
        binMatchedLength:
          type: string
          description: |-
            The number of characters from the beginning of the card number that
            were matched against a Bank Identification Number (BIN) or the Card
            Range table.
        binCardBrand:
          type: string
          description: |-
            The card brand. For example, Visa, Mastercard, American Express,
            Discover.
        binCardType:
          type: string
          description: 'The type of card: Credit or Debit.'
        binCardCategory:
          type: string
          description: >-
            The category of the card, which indicates the card product. For
            example: Standard, Gold, Platinum, etc. The binCardCategory for
            prepaid cards is marked `PREPAID`.
        binCardIssuer:
          type: string
          description: The name of the financial institution that issued the card.
        binCardIssuerCountry:
          type: string
          description: The issuing financial institution's country name.
        binCardIssuerCountryCodeA2:
          type: string
          description: >-
            The issuing financial institution's two-character ISO country code.
            See [this resource](https://www.iso.org/obp/ui/#search) for a list
            of codes.
        binCardIssuerCountryNumber:
          type: string
          description: >-
            The issuing financial institution's ISO standard numeric country
            code. See [this resource](https://www.iso.org/obp/ui/#search) for a
            list of codes.
        binCardIsRegulated:
          type: string
          description: Indicates whether the card is regulated.
        binCardUseCategory:
          type: string
          description: The use category classification for the card.
        binCardIssuerCountryCodeA3:
          type: string
          description: >-
            The issuing financial institution's three-character ISO country
            code.

            See [this resource](https://www.iso.org/obp/ui/#search) for a list
            of

            codes.
      description: >-
        Object containing information related to the card. This object is `null`

        unless the payment method is card. If the payment method is Apple Pay,
        the

        binData will be related to the DPAN (device primary account number), not

        the card connected to Apple Pay.
      title: BinData
    type_:Holdername:
      type: string
      description: Account holder name for the method.
      title: Holdername
    type_:Initiator:
      type: string
      description: >-
        **Strongly recommended** The cardholder-initiated transaction (CIT) or
        merchant-initiated transaction (MIT) indicator for the transaction. If
        you don't specify a value, Payabli defaults to `merchant`.


        Available values: 
          - `payor`: For cardholder-initiated transactions
          - `merchant`: For merchant-initiated transactions

          See [Understanding CIT and MIT Indicators](/guides/pay-in-transactions-cit-mit-overview) for more information.
      title: Initiator
    type_:Maskedaccount:
      type: string
      description: >-
        Masked card or bank account used in transaction. In the case of Apple
        Pay, this is a masked DPAN (device primary account number).
      title: Maskedaccount
    type_:Orderdescription:
      type: string
      description: Text description of the transaction.
      title: Orderdescription
    type_:PaymentCategories:
      type: object
      properties:
        amount:
          type: number
          format: double
          description: Price/cost per unit of item or category.
        description:
          type: string
          description: Description of item or category
        label:
          type: string
          description: Name of item or category.
        qty:
          type: integer
          default: 1
          description: Quantity of item or category
      required:
        - amount
        - label
      title: PaymentCategories
    type_:SplitFundingContent:
      type: object
      properties:
        accountId:
          type: string
          description: The accountId for the account the split should be sent to.
        amount:
          type: number
          format: double
          description: Amount from the transaction to send to this recipient.
        description:
          type: string
          description: A description for the split.
        recipientEntryPoint:
          type: string
          description: The entrypoint the split should be sent to.
      title: SplitFundingContent
    type_:SplitFunding:
      type: array
      items:
        $ref: '#/components/schemas/type_:SplitFundingContent'
      description: >-
        Split funding instructions for the transaction. The total amount of the
        splits must match the total amount of the transaction.
      title: SplitFunding
    type_:PaymentDetail:
      type: object
      properties:
        categories:
          type: array
          items:
            $ref: '#/components/schemas/type_:PaymentCategories'
          description: >-
            Array of payment categories/line items describing the amount to be
            paid.

            **Note**: These categories are for information only and aren't
            validated against the total amount provided.
        checkImage:
          type: object
          additionalProperties:
            description: Any type
          description: Object containing image of paper check.
        checkNumber:
          type: string
          description: >-
            A check number to be used in the ach transaction. **Required** for
            payment method = 'check'.
        currency:
          type: string
          description: >-
            The currency for the transaction, `USD` or `CAD`. If your paypoint
            is configured for CAD, you must send the `CAD` value in this field,
            otherwise it defaults to USD, which will cause the transaction to
            fail.
        serviceFee:
          type: number
          format: double
          description: >-
            Service fee to be deducted from the total amount. This amount must
            be a number, percentages aren't accepted. If you are using a
            percentage-based fee schedule, you must calculate the value
            manually.
        splitFunding:
          $ref: '#/components/schemas/type_:SplitFunding'
          description: >-
            Split funding instructions for the transaction. See [Split a
            Transaction](/developers/developer-guides/money-in-split-funding)
            for more.
        checkUniqueId:
          type: string
          description: >-
            Unique identifier for a processed check image. Required for RDC
            (Remote Deposit Capture) transactions where `achCode` is `BOC`. Use
            the `id` value from the [check
            processing](/developers/api-reference/moneyin/check-capture)
            response.
        totalAmount:
          type: number
          format: double
          description: >-
            Total amount to be charged. If a service fee is sent, then this
            amount should include the service fee."
      required:
        - totalAmount
      description: Details about the payment.
      title: PaymentDetail
    type_:Sequence:
      type: string
      description: >-
        The order of the transaction for cardholder-initiated transaction (CIT)
        and merchant-initiated transaction (MIT) purposes. This field is
        automatically detected and populated by Payabli.


        Available values: 
          - `first`: The first use of the payment method. This is almost always a cardholder-initiated transaction.
          - `subsequent`: For merchant-initiated transactions after the first use of the payment method.

          See [Understanding CIT and MIT Indicators](/guides/pay-in-transactions-cit-mit-overview) for more information.
      title: Sequence
    type_:Signaturedata:
      type: string
      title: Signaturedata
    type_:Storedmethodid:
      type: string
      description: >-
        Payabli identifier of a tokenized payment method. If this field is used
        in a request, the `method` field is overridden and the payment is made
        using the payment token.
      title: Storedmethodid
    type_:StoredMethodUsageType:
      type: string
      description: >-
        **Strongly recommended** The usage type for the stored method, used for
        merchant-initiated transactions (MIT). If you don't specify a value,
        Payabli defaults to `unscheduled`.

        Available values: 
          - `unscheduled`: This type is used for transactions that are one-time or otherwise not pre-scheduled.
          - `subscription`: This type is used for subscription payments. For example, monthly rental fees or ongoing service subscriptions.
          - `recurring`: This type is used for recurring payments that occur per a set plan. For example, splitting an HOA special assessment over 6 monthly payments. 

        See [Understanding CIT and MIT
        Indicators](/guides/pay-in-transactions-cit-mit-overview) for more
        information.
      title: StoredMethodUsageType
    type_:QueryPaymentData:
      type: object
      properties:
        AccountExp:
          $ref: '#/components/schemas/type_:Accountexp'
        accountId:
          $ref: '#/components/schemas/type_:AccountId'
        AccountType:
          $ref: '#/components/schemas/type_:Accounttype'
        AccountZip:
          $ref: '#/components/schemas/type_:Accountzip'
        binData:
          $ref: '#/components/schemas/type_:BinData'
        HolderName:
          $ref: '#/components/schemas/type_:Holdername'
        Initiator:
          $ref: '#/components/schemas/type_:Initiator'
        MaskedAccount:
          $ref: '#/components/schemas/type_:Maskedaccount'
        orderDescription:
          $ref: '#/components/schemas/type_:Orderdescription'
        paymentDetails:
          $ref: '#/components/schemas/type_:PaymentDetail'
        Sequence:
          $ref: '#/components/schemas/type_:Sequence'
        SignatureData:
          $ref: '#/components/schemas/type_:Signaturedata'
        StoredId:
          $ref: '#/components/schemas/type_:Storedmethodid'
          description: Identifier of stored payment method used in transaction.
        StoredMethodUsageType:
          $ref: '#/components/schemas/type_:StoredMethodUsageType'
      title: QueryPaymentData
    type_:Dbaname:
      type: string
      description: >-
        The alternate or common name that this business is doing business under
        usually referred to as a DBA name.
      title: Dbaname
    type_:Entrypointfield:
      type: string
      description: The entrypoint identifier.
      title: Entrypointfield
    type_:PaypointId:
      type: integer
      format: int64
      description: The paypoint's ID. Note that this is different than the entryname.
      title: PaypointId
    type_:Legalname:
      type: string
      description: Business legal name.
      title: Legalname
    type_:Source:
      type: string
      description: Custom identifier to indicate the transaction or request source.
      title: Source
    type_:GeneralEvents:
      type: object
      properties:
        description:
          type: string
          description: Event description.
        eventTime:
          type: string
          format: date-time
          description: Event timestamp, in UTC.
        extraData:
          type: object
          additionalProperties:
            description: Any type
          description: Extra data.
        refData:
          type: string
          description: Reference data.
        source:
          $ref: '#/components/schemas/type_:Source'
          description: The event source.
      title: GeneralEvents
    type_:SubscriptionQueryRecords:
      type: object
      properties:
        CreatedAt:
          $ref: '#/components/schemas/type_:CreatedAt'
          description: Timestamp of when the subscription ws created, in UTC.
        Customer:
          $ref: '#/components/schemas/type_:QueryTransactionPayorData'
        EndDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The subscription's end date.
        EntrypageId:
          $ref: '#/components/schemas/type_:EntrypageId'
        ExternalPaypointID:
          $ref: '#/components/schemas/type_:ExternalPaypointId'
        FeeAmount:
          type: number
          format: double
          description: Fee applied to the subscription.
        Frequency:
          type: string
          description: The subscription's frequency.
        IdSub:
          type: integer
          format: int64
          description: The subscription's ID.
        InvoiceData:
          $ref: '#/components/schemas/type_:BillData'
        LastRun:
          type:
            - string
            - 'null'
          format: date-time
          description: The last time the subscription was processed.
        LastUpdated:
          $ref: '#/components/schemas/type_:LastModified'
          description: The last date and time the subscription was updated.
        LeftCycles:
          type: integer
          description: The number of cycles the subscription has left.
        Method:
          type: string
          description: The subscription's payment method.
        NetAmount:
          $ref: '#/components/schemas/type_:Netamountnullable'
          description: The subscription amount, minus any fees.
        NextDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The next date the subscription will be processed.
        ParentOrgName:
          $ref: '#/components/schemas/type_:OrgParentName'
        PaymentData:
          $ref: '#/components/schemas/type_:QueryPaymentData'
        PaypointDbaname:
          $ref: '#/components/schemas/type_:Dbaname'
          description: The paypoint's DBA name.
        PaypointEntryname:
          $ref: '#/components/schemas/type_:Entrypointfield'
          description: The paypoint's entryname.
        PaypointId:
          $ref: '#/components/schemas/type_:PaypointId'
        PaypointLegalname:
          $ref: '#/components/schemas/type_:Legalname'
          description: The paypoint's legal name.
        PlanId:
          type: integer
          description: Payment plan ID.
        Source:
          $ref: '#/components/schemas/type_:Source'
        StartDate:
          type:
            - string
            - 'null'
          format: date-time
          description: The subscription start date.
        SubEvents:
          type: array
          items:
            $ref: '#/components/schemas/type_:GeneralEvents'
          description: Events associated with the subscription.
        SubStatus:
          type: integer
          description: |-
            The subscription's status.
            - 0: Paused
            - 1: Active
        TotalAmount:
          type: number
          format: double
          description: The subscription amount, including any fees.
        TotalCycles:
          type: integer
          description: The total number of cycles the subscription is set to run.
        UntilCancelled:
          type: boolean
          description: >-
            When `true`, the subscription has no explicit end date and will run
            until canceled.
      required:
        - EndDate
        - LastRun
        - NextDate
        - StartDate
      title: SubscriptionQueryRecords
    type_:PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    type_:Pagesize:
      type: integer
      description: Number of records on each response page.
      title: Pagesize
    type_:Totalrecords:
      type: integer
      description: Total number of records in response.
      title: Totalrecords
    type_:QuerySummary:
      type: object
      properties:
        pageIdentifier:
          $ref: '#/components/schemas/type_:PageIdentifier'
        pageSize:
          $ref: '#/components/schemas/type_:Pagesize'
        totalAmount:
          type: number
          format: double
          description: Total amount for the records.
        totalNetAmount:
          type: number
          format: double
          description: Total net amount for the records.
        totalPages:
          $ref: '#/components/schemas/type_:Totalrecords'
        totalRecords:
          $ref: '#/components/schemas/type_:Totalrecords'
      title: QuerySummary
    type_:QuerySubscriptionResponse:
      type: object
      properties:
        Records:
          type: array
          items:
            $ref: '#/components/schemas/type_:SubscriptionQueryRecords'
        Summary:
          $ref: '#/components/schemas/type_:QuerySummary'
      description: Subscription query response body.
      title: QuerySubscriptionResponse
    type_:IsSuccess:
      type: boolean
      description: >-
        Boolean indicating whether the operation was successful. A `true` value
        indicates success. A `false` value indicates failure.
      title: IsSuccess
    type_:Responsedata:
      type: object
      additionalProperties:
        description: Any type
      description: The object containing the response data.
      title: Responsedata
    type_:ResponseText:
      type: string
      description: 'Response text for operation: ''Success'' or ''Declined''.'
      title: ResponseText
    type_:PayabliApiResponse:
      type: object
      properties:
        isSuccess:
          $ref: '#/components/schemas/type_:IsSuccess'
        responseData:
          $ref: '#/components/schemas/type_:Responsedata'
        responseText:
          $ref: '#/components/schemas/type_:ResponseText'
      required:
        - responseText
      title: PayabliApiResponse
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## SDK Code Examples

```typescript Example
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.query.listSubscriptions("8cfec329267", {
        fromRecord: 251,
        limitRecord: 0,
        sortBy: "desc(field_name)",
    });
}
main();

```

```python Example
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.query.list_subscriptions(
    entry="8cfec329267",
    from_record=251,
    limit_record=0,
    sort_by="desc(field_name)",
)

```

```csharp Example
using PayabliPayabliApi;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Query.ListSubscriptionsAsync(
            "8cfec329267",
            new ListSubscriptionsRequest {
                FromRecord = 251,
                LimitRecord = 0,
                SortBy = "desc(field_name)"
            }
        );
    }

}

```

```go Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-sandbox.payabli.com/api/Query/subscriptions/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("requestToken", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api-sandbox.payabli.com/api/Query/subscriptions/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["requestToken"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-sandbox.payabli.com/api/Query/subscriptions/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")
  .header("requestToken", "<apiKey>")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-sandbox.payabli.com/api/Query/subscriptions/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29', [
  'headers' => [
    'requestToken' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```swift Example
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/subscriptions/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```